package com.alterdekim.game.component.game;

public enum CatalogType {

    Collection("collection"),
    Filter("filter"),
    Shop("shop");

    public final String value;

    CatalogType(String value) {
        this.value = value;
    }

    public static CatalogType fromType(String c) {
        for (CatalogType type : values()) {
            if (type.value.equals(c)) {
                return type;
            }
        }
        return CatalogType.Shop;
    }
}
